Package de.willuhn.jameica.hbci.synchronize

# Class AbstractSynchronizeBackend.JobGroup

java.lang.Object
de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup

Direct Known Subclasses:
  `HBCISynchronizeBackend.HBCIJobGroup`, `ScriptingSynchronizeBackend.ScriptingJobGroup`

Enclosing class:
  `AbstractSynchronizeBackend<T extends SynchronizeJobProvider>`

protected abstract class AbstractSynchronizeBackend.JobGroup extends Object
Abstrakte Basis-Klasse, die die Jobs nach Konten gruppiert und ausfuehrt.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<SynchronizeJob>`
`jobs`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JobGroup(Konto k)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`checkInterrupted()`
Prueft, ob die Synchronisierung abgebrochen wurde und wirft in dem Fall eine OperationCancelledException.
`Konto`
`getKonto()`
Liefert das Konto der Job-Gruppe.
`protected abstract void`
`sync()`
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jobs

protected List<SynchronizeJob> jobs

## Constructor Details

### JobGroup

protected JobGroup(Konto k)
ct.

Parameters:
  `k` - das Konto der Job-Gruppe.

## Method Details

### getKonto

public Konto getKonto()
Liefert das Konto der Job-Gruppe.

Returns:
  das Konto der Job-Gruppe.

### sync

protected abstract void sync() throws Exception
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

Throws:
  `Exception`

### checkInterrupted

protected final void checkInterrupted() throws de.willuhn.jameica.system.OperationCanceledException
Prueft, ob die Synchronisierung abgebrochen wurde und wirft in dem Fall eine OperationCancelledException.

Throws:
  `de.willuhn.jameica.system.OperationCanceledException`